### Function

# Gimp Path get_user_writable_dir

#### Declaration [src]

    gchar*
    gimp_path_get_user_writable_dir (
      GList* path
    )

#### Description [src]

Note that you have to `g_free()` the returned string.

#### Parameters

`path`

  Type: A list of `filename`

         A list of directories as returned by gimp_path_parse().

  The data is owned by the caller of the function.
  Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

#### Return value

Type: `gchar*`

The first directory in `path` where the user has write permission.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.